package aop.example;

/**
 * Исключение генерируемое при нарушении правил авторизации
 * генерируется и отлавливается аспектом
 * Заметьте что это unchecked exception поэтому
 * объявления этого исключения на этапе компиляции не требуется
 * @author Zubairov Renat
 */
public class AuthorizationException extends RuntimeException {

	/**
	 * Стандартный конструктор
	 */
	public AuthorizationException() {
		super();
	}

	/**
	 * Стандартный конструктор
	 * @param message
	 */
	public AuthorizationException(String message) {
		super(message);
	}

	/**
	 * Стандартный конструктор
	 * @param cause
	 */
	public AuthorizationException(Throwable cause) {
		super(cause);
	}

	/**
	 * Стандартный конструктор
	 * @param message
	 * @param cause
	 */
	public AuthorizationException(String message, Throwable cause) {
		super(message, cause);
	}

}
